### Method

# Foundry GitCommitBuilder new_similar

since: 1.1

#### Declaration [src]

    DexFuture*
    foundry_git_commit_builder_new_similar (
      FoundryGitCommitBuilder* self
    )

#### Description [src]

Creates a new builder similar to `self`, copying all string and GDateTime properties from the existing builder.

The new builder will use the same VCS instance, parent commit (or HEAD if no parent was set), context lines, author name, author email, signing key, signing format, and timestamp as `self`.

Available since: 1.1

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `FoundryGitCommitBuilder`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.